1

While upgrading my system from Fedora 35 to Fedora 36, I first ran

sudo dnf upgrade --refresh 

And then,

sudo dnf system-upgrade download --releasever=36

But it is giving rise to this error:

Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Copr repo for spotify-tui owned by atim         1.7 kB/s | 3.3 kB     00:01    
Copr repo for PyCharm owned by phracek          2.5 kB/s | 3.6 kB     00:01    
created by dnf config-manager from https://brav  21 kB/s | 3.3 kB     00:00    
created by dnf config-manager from https://brav 120 kB/s | 9.2 kB     00:00    
Docker CE Stable - x86_64                        22 kB/s | 3.5 kB     00:00    
determining the fastest mirror (10 hosts).. done.--  B/s |   0  B     --:-- ETA
Fedora 36 - x86_64                              2.0 kB/s | 5.6 kB     00:02    
Fedora 36 openh264 (From Cisco) - x86_64        1.1 kB/s | 989  B     00:00    
Fedora Modular 36 - x86_64                      7.8 kB/s | 5.5 kB     00:00    
Fedora 36 - x86_64 - Updates                    7.5 kB/s | 5.5 kB     00:00    
Fedora 36 - x86_64 - Updates                    1.2 MB/s | 4.0 MB     00:03    
Fedora Modular 36 - x86_64 - Updates            4.2 kB/s | 5.4 kB     00:01    
packages for the GitHub CLI                     9.6 kB/s | 3.0 kB     00:00    
google-chrome                                   4.9 kB/s | 1.3 kB     00:00    
google-chrome                                   6.8 kB/s | 3.6 kB     00:00    
MEGAsync                                        1.1 kB/s | 1.5 kB     00:01    
pgadmin4                                         82  B/s | 146  B     00:01    
Errors during downloading metadata for repository 'pgAdmin4':
  - Status code: 404 for https://ftp.postgresql.org/pub/pgadmin/pgadmin4/yum/fedora/fedora-36-x86_64/repodata/repomd.xml (IP: 87.238.57.227)
Error: Failed to download metadata for repo 'pgAdmin4': Cannot download repomd.xml: Cannot download repodata/repomd.xml: All mirrors were tried
PostgreSQL common RPMs for Fedora 36 - x86_64   115  B/s | 195  B     00:01    
PostgreSQL common RPMs for Fedora 36 - x86_64    76 kB/s | 231 kB     00:03    
PostgreSQL 14 for Fedora 36 - x86_64             83  B/s | 195  B     00:02    
PostgreSQL 14 for Fedora 36 - x86_64             49 kB/s | 177 kB     00:03    
PostgreSQL 13 for Fedora 36 - x86_64             99  B/s | 195  B     00:01    
PostgreSQL 13 for Fedora 36 - x86_64             46 kB/s | 175 kB     00:03    
PostgreSQL 12 for Fedora 36 - x86_64            105  B/s | 195  B     00:01    
PostgreSQL 12 for Fedora 36 - x86_64             66 kB/s | 168 kB     00:02    
PostgreSQL 11 for Fedora 36 - x86_64             94  B/s | 195  B     00:02    
PostgreSQL 11 for Fedora 36 - x86_64             37 kB/s | 165 kB     00:04    
PostgreSQL 10 for Fedora 36 - x86_64             93  B/s | 195  B     00:02    
PostgreSQL 10 for Fedora 36 - x86_64             37 kB/s | 128 kB     00:03    
RPM Fusion for Fedora 36 - Free                 1.9 kB/s | 2.2 kB     00:01    
RPM Fusion for Fedora 36 - Free - Updates        11 kB/s |  10 kB     00:00    
RPM Fusion for Fedora 36 - Free - Updates        41 kB/s |  75 kB     00:01    
RPM Fusion for Fedora 36 - Nonfree - NVIDIA Dri  14 kB/s | 9.8 kB     00:00    
RPM Fusion for Fedora 36 - Nonfree - Steam       19 kB/s | 9.4 kB     00:00    
Sublime Text - x86_64 - Stable                  3.0 kB/s | 2.9 kB     00:00    
Visual Studio Code                              8.6 kB/s | 3.0 kB     00:00    
Visual Studio Code                              7.3 MB/s |  25 MB     00:03    
Ignoring repositories: pgAdmin4
no group 'arm-tools' from environment 'workstation-product-environment'
No match for group package "qgnomeplatform"
No match for group package "reiserfs-utils"
No match for group package "xorg-x11-drv-armsoc"
No match for group package "intel-media-driver"
No match for group package "authselect-compat"
No match for group package "google-noto-sans-syriac-estrangela-fonts"
No match for group package "google-noto-sans-syriac-eastern-fonts"
No match for group package "ubuntu-title-fonts"
No match for group package "khmer-os-fasthad-fonts"
No match for group package "libguestfs-tools"
No match for group package "mpir-devel"
No match for group package "bcm283x-firmware"
No match for group package "kanjistrokeorders-fonts"
No match for group package "polarsys-b612-sans-fonts"
No match for group package "yanone-tagesschrift-fonts"
No match for group package "google-noto-sans-tibetan-fonts"
No match for group package "cvsgraph"
No match for group package "drehatlas-xaporho-fonts"
No match for group package "google-noto-sans-syriac-western-fonts"
No match for group package "libusbx-devel"
No match for group package "culmus-shofar-fonts"
No match for group package "tlomt-junction-fonts"
No match for group package "vollkorn-fonts"
No match for group package "drehatlas-warender-bibliothek-fonts"
Error: 
 Problem: package VirtualBox-6.1-6.1.30_148432_fedora33-1.x86_64 requires libvpx.so.6()(64bit), but none of the providers can be installed
  - libvpx-1.10.0-2.fc35.x86_64 does not belong to a distupgrade repository
  - problem with installed package VirtualBox-6.1-6.1.30_148432_fedora33-1.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Adding --skip-broken doesn't seem to solve the problem. I get the same error. Tried running sudo dnf remove libvpx-1.10.0-2.fc35.x86_64. But this gives another warning:

Error: 
 Problem: The operation would result in removing the following protected packages: gnome-shell
(try to add '--skip-broken' to skip uninstallable packages)

How can I upgrade my Fedora distro?

1 Answer 1

1
  1. sudo rpm -e VirtualBox-6.1
  2. Upgrade.
  3. Install VirtualBox from here or better yet install their repo to /etc/yum.repos.d/ and then sudo dnf install VirtualBox-6.1.
3
  • The package doesn't install after upgrade to Fedora 36 and gives this error: nothing provides libvpx.so.6()(64bit) needed by VirtualBox-6.1-6.1.20_143896_fedora33-1.x86_64 despite that the libvpx package is installed.
    – John Tate
    Jun 18 at 11:09
  • For some reasons you continue to install the fedora33 version. Jun 18 at 11:12
  • If you've already upgraded to kernel 5.18, you need to install a test build e.g. from here virtualbox.org/wiki as VirtualBox 6.1.34 is not compatible with this kernel. Jun 18 at 11:13

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.